MediaWiki:Vector.css: Difference between revisions

From Raythe Wiki
No edit summary
No edit summary
 
Line 1: Line 1:
/* Fixes for Typography refresh:
* 1. margin for H1 (in talk pages)
* 2. lists line-height
* See also [[Bugzilla:64653]]
*/
div#content h1 {
    margin-top: 1em;
}
div#content #firstHeading {
    margin-top: 0;
}
div#content dd,
div#content ol,
div#content ul {
    line-height: 1.6;
}
/* Fix for changelist legend due to above fix (which will probably be merged at some point,
  so this should probably be scoped in mediawiki.special.changeslist.legend.css) */
div#content .mw-changeslist-legend dd {
line-height: 1.3em;
}
/* Don't display some stuff on the main page */
/* Don't display some stuff on the main page */
body.page-Main_Page #deleteconfirm,
.page-Main_Page #deleteconfirm,
body.page-Main_Page #t-cite,
.page-Main_Page #t-cite,
body.page-Main_Page #footer-info-lastmod,
.page-Main_Page #footer-info-lastmod,
body.action-view.page-Main_Page #siteSub,
.action-view.page-Main_Page #siteSub,
body.action-view.page-Main_Page #contentSub,
.action-view.page-Main_Page #contentSub,
body.action-view.page-Main_Page h1.firstHeading {
.action-view.page-Main_Page .firstHeading {
     display: none !important;
     display: none !important;
}
/* Position Main Page top banner */
body.page-Main_Page #mp-topbanner {
  margin-top: 0 !important;
}
}


Line 51: Line 23:
     text-transform: none;
     text-transform: none;
     white-space: nowrap;
     white-space: nowrap;
}
/* For positioning icons at top-right, used in Templates
  "Spoken Article" and "Featured Article" */
div.topicon {
    position: absolute;
    top: -2.3em;
    margin-right: -10px;
    display: block !important;
}
}


Line 68: Line 31:
     right: 100px;
     right: 100px;
     z-index: 1;
     z-index: 1;
    margin-left: 0;
    /* Because this is not yet a topicon, we emulate its behavior,
      this ensures compatibility with edit lead section gadget. */
    margin-right: -10px;
}
/* On rtl interfaces, we need to override the defaults.
  It is content included (so ltr), but positioned in part of the rtl interface. */
body.rtl #protected-icon {
    /* @noflip */
    left: 55px;
}
body.rtl #spoken-icon,
body.rtl #commons-icon {
    /* @noflip */
    left: 30px;
}
body.rtl #featured-star {
    /* @noflip */
    left: 10px;
}
}


Line 97: Line 40:
/* Display "From Wikipedia, the free encyclopedia" */
/* Display "From Wikipedia, the free encyclopedia" */
#siteSub {
#siteSub {
     display: inline;
     display: block;
     font-size: 92%;
     font-size: 92%;
}
}


/* Styling for updated markers on watchlist, history and recent/related changes */
/* Move page status indicators down slightly */
li.mw-changeslist-line-watched,
.mw-body .mw-indicators {
li.mw-history-line-updated {
     padding-top: 0.4em;
     list-style-image: url(//upload.wikimedia.org/wikipedia/commons/c/c2/ChangedBulletVector.png);
}
 
/* Blue instead of yellow padlock for secure links. */
#bodyContent a.external[href ^="https://"],
.link-https {
    background: url(//upload.wikimedia.org/wikipedia/en/0/00/Lock_icon_blue.gif) center right no-repeat;
    /* @noflip */
    padding-right: 16px;
}
}

Latest revision as of 21:31, 25 March 2016

/* Don't display some stuff on the main page */
.page-Main_Page #deleteconfirm,
.page-Main_Page #t-cite,
.page-Main_Page #footer-info-lastmod,
.action-view.page-Main_Page #siteSub,
.action-view.page-Main_Page #contentSub,
.action-view.page-Main_Page .firstHeading {
    display: none !important;
}

/* Position coordinates */
#coordinates {
    position: absolute;
    top: 0;
    right: 0;
    float: right;
    margin: 0;
    padding: 0;
    line-height: 1.5em;
    text-align: right;
    text-indent: 0;
    font-size: 85%;
    text-transform: none;
    white-space: nowrap;
}

/* FR topicon position */
div.flaggedrevs_short {
    position: absolute;
    top: -3em;
    right: 100px;
    z-index: 1;
}

/* Menu over FR box */
div.vectorMenu div {
    z-index: 2;
}

/* Display "From Wikipedia, the free encyclopedia" */
#siteSub {
    display: block;
    font-size: 92%;
}

/* Move page status indicators down slightly */
.mw-body .mw-indicators {
    padding-top: 0.4em;
}